# Uses of Interface
org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricDefinition.TagValue

Packages that use MetricDefinition.TagValue
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Uses of MetricDefinition.TagValue in org.eclipse.microprofile.fault.tolerance.tck.metrics.util

Classes in org.eclipse.microprofile.fault.tolerance.tck.metrics.util that implement MetricDefinition.TagValue
Modifier and Type
Class
Description
`static enum`
`MetricDefinition.BulkheadResult`
`static enum`
`MetricDefinition.CircuitBreakerResult`
`static enum`
`MetricDefinition.CircuitBreakerState`
`static enum`
`MetricDefinition.InvocationFallback`
`static enum`
`MetricDefinition.InvocationResult`
`static enum`
`MetricDefinition.RetryResult`
`static enum`
`MetricDefinition.RetryRetried`
`static enum`
`MetricDefinition.TimeoutTimedOut`
Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util that return MetricDefinition.TagValue
Modifier and Type
Method
Description
`static final MetricDefinition.TagValue[][]`
MetricGetter.`getTagCombinations(Class<? extends MetricDefinition.TagValue>... tagValueClazzes)`
Computes all possible values for a set of tags.
Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.util that return types with arguments of type MetricDefinition.TagValue
Modifier and Type
Method
Description
`Class<? extends MetricDefinition.TagValue>[]`
MetricDefinition.`getTagClasses()`
The tags which are applied to this metric